Package org.eclipse.birt.report.engine.extension

# Interface IReportEventContext

All Superinterfaces:
  `org.eclipse.birt.report.engine.api.script.IReportContext`

public interface IReportEventContext extends org.eclipse.birt.report.engine.api.script.IReportContext

## Field Summary

### Fields inherited from interface org.eclipse.birt.report.engine.api.script.IReportContext

`PAGE_VAR_PAGE_LABEL`

## Method Summary

### Methods inherited from interface org.eclipse.birt.report.engine.api.script.IReportContext

`cancel, cancel, deleteGlobalVariable, deletePersistentGlobalVariable, evaluate, evaluate, evaluate, getAppContext, getApplicationClassLoader, getDesignHandle, getGlobalVariable, getHttpServletRequest, getLocale, getMessage, getMessage, getMessage, getMessage, getOutputFormat, getPageVariable, getParameterDisplayText, getParameterValue, getPersistentGlobalVariable, getRenderOption, getReportRunnable, getResource, getResourceRenderURL, getTaskType, getTimeZone, isReportDocumentFinished, setGlobalVariable, setPageVariable, setParameterDisplayText, setParameterValue, setPersistentGlobalVariable`